.header {
  display: grid;
  grid-template-columns:
    minmax(var(--grid-padding), 1fr) repeat(
      var(--grid-columns),
      minmax(0, calc(var(--max-content-width) / var(--grid-columns)))
    )
    minmax(var(--grid-padding), 1fr);
}

.header > * {
  grid-column: 2/-2;
}

.header {
  width: 100%;
}

.header--fixed {
  position: fixed;
  top: 2rem;
  left: 0;
  z-index: var(--z-fixed);
}

/* Nav */

.nav {
  height: var(--header-height);
  background-color: var(--clr-white);
  box-shadow: var(--box-shadow);
}

.nav__group {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo > img {
  max-width: 200px;
}

.nav__list {
  padding: 0;
  list-style: none;
}

.nav__link {
  text-decoration: none;
}

.nav__toggle {
  position: relative;
  width: 2.25rem;
  height: 2.25rem;
  background: transparent;
  color: white;
}

.nav__burger,
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity 0.1s, transform 0.4s;
}

.nav__burger::before,
.nav__close::before {
  display: block;
  width: 2.25rem;
  height: 2.25rem;
}

.nav__burger::before {
  content: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHZpZXdCb3g9IjAgMCAyNCAyNCIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZT0iIzFjMWMxYyI+CiAgPHBhdGggc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIiBkPSJNMy43NSA2Ljc1aDE2LjVNMy43NSAxMmgxNi41bS0xNi41IDUuMjVoMTYuNSIgLz4KPC9zdmc+');
}

.nav__close::before {
  content: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHZpZXdCb3g9IjAgMCAyNCAyNCIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZT0iI2ZmZmZmZiI+CiAgPHBhdGggc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIiBkPSJNNiAxOCAxOCA2TTYgNmwxMiAxMiIgLz4KPC9zdmc+Cg==');
}

.nav__arrow {
  font-size: 1.25rem;
  display: none;
}

.nav__close {
  opacity: 0;
}

@media (max-width: 991px) {
  .nav {
    height: auto;
    padding: 1.25rem;
  }
  .nav__menu {
    position: absolute;
    left: 0;
    top: 2rem;
    width: 100%;
    height: calc(100vh - 2rem);
    display: flex;
    align-items: center;
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top 0.4s, opacity 0.3s;
    background-color: var(--clr-primary);
  }
  .nav__menu.show-menu {
    top: -2rem;
    height: 100vh;
  }
  .nav__menu::-webkit-scrollbar {
    width: 0;
  }
  .nav__list {
    width: 100%;
    background-color: var(--clr-primary);
    padding-block: 1rem;
  }
}

.nav__link {
  color: var(--clr-black);
  background-color: var(--clr-white);
  padding: 1rem 2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color 0.3s;
}

.nav__link > span::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  display: block;
  width: 2rem;
  height: 0.375rem;
  margin-inline: auto;
  background-color: transparent;
  transition: background-color 0.4s;
}

.nav__link:hover {
  background-color: var(--black-color-light);
}

.nav__link:hover > span::after,
.nav__link:focus > span::after,
.nav__link--active > span::after {
  background-color: var(--clr-primary);
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 3.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  /* transform: rotate(90deg); */
}
.show-icon .nav__close {
  opacity: 1;
  z-index: 1;
  /* transform: rotate(90deg); */
}

/* For small devices */
@media (max-width: 991px) {
  .nav__link {
    padding-inline: 1rem;
    justify-content: center;
    color: var(--clr-white);
    font-size: 1.25rem;
    background-color: transparent;
  }

  .nav__arrow {
    display: block;
  }
}

/* For large devices */
@media screen and (min-width: 992px) {
  .nav {
    display: flex;
    justify-content: space-between;
    height: calc(var(--header-height) + 2rem);
  }
  .nav__logo {
    padding-inline: 1.25rem;
  }
  .nav__toggle {
    display: none;
  }
  .nav__list {
    height: 100%;
    display: flex;
    column-gap: 1rem;
  }
  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: 0.25rem;
  }
  .nav__link:hover {
    background-color: transparent;
  }

  .nav__link > span {
    position: relative;
    display: inline-block;
    padding-inline: 1.25rem;
    padding-block: 0.75rem;
    color: var(--clr-black);
    background-color: transparent;
    text-decoration: none;
    text-align: center;
  }
  .nav__link:hover > span,
  .nav__link:focus > span,
  .nav__link--active > span {
  }
  .nav__item--last .nav__link,
  .nav__item--contact .nav__link {
    text-transform: uppercase;
    background-color: var(--clr-primary);
    letter-spacing: 2px;
    font-weight: 700;
  }

  .nav__item--last .nav__link > span,
  .nav__item--contact .nav__link > span {
    color: var(--clr-white);
  }

  .nav__item--last .nav__link > span::after,
  .nav__item--contact .nav__link > span::after {
    background-color: transparent;
  }

  .nav__item--last .nav__link:hover,
  .nav__item--last .nav__link:focus,
  .nav__item--contact .nav__link:hover,
  .nav__item--contact .nav__link:focus {
    background-color: var(--clr-black);
  }
}
